---

- name: debian packages for postgresql server on localhost
  apt:
    pkg:
      - postgresql
      - python3-psycopg2

- name: postgresql user
  postgresql_user:
    name: "{{ concourse_db_user }}"
    password: "{{ concourse_db_pass }}"
  become: yes
  become_user: postgres

- name: postgresql database
  postgresql_db:
    name: "{{concourse_db_name}}"
    encoding: UTF-8
    template: template0
    owner: "{{concourse_db_user}}"
  become: yes
  become_user: postgres

- name: postgresql access
  postgresql_privs:
    db: "{{concourse_db_name}}"
    privs: ALL
    type: database
    role: "{{ concourse_db_user }}"
  become: yes
  become_user: postgres
